#ifndef MAINWIDGET_H
#define MAINWIDGET_H

#include <QDir>
#include <QFileDialog>
#include <QLineEdit>
#include <QMessageBox>
#include <QWidget>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWidget;
}
QT_END_NAMESPACE

class MainWidget : public QWidget
{
    Q_OBJECT

public:
    MainWidget(QWidget* parent = nullptr);
    ~MainWidget();

private:
    void connect_operator();
    void add_env_btn();
    void del_env_btn();
    void generate();

private:
    static QString SelectDirectory(QWidget* parent, QLineEdit* pEdit, const QString& pre_path = "");
    static QString SelectFile(QWidget* parent, QLineEdit* pEdit, const QString& info, const QString& filter);
    static bool    isOk(QWidget* parent, const QString& title, const QString& content);

private:
    Ui::MainWidget* ui;
};
#endif   // MAINWIDGET_H
